#version 450
#include "common.glsl"

vec2 screenVertices[] = {
    vec2(-1.0, -1.0),
    vec2(1.0, -1.0),
    vec2(-1.0, 1.0),

    vec2(1.0, -1.0),
    vec2(-1.0, 1.0),
    vec2(1.0, 1.0),
};

layout(location = 0) out vec4 passRayClipVec;

void main()
{
    vec2 pos = screenVertices[gl_VertexIndex];
    passRayClipVec = vec4(pos, -1.0, 1.0);
    gl_Position = vec4(pos, 0.0, 1.0);
}